/**
 * Celestial Mage Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="mage"][data-skin="celestial_mage"]::before {
    box-shadow:
        0px -12px 0 0 #ffe347,
        -4px -8px 0 0 #FFD700,
        0px -8px 0 0 #FFD700,
        4px -8px 0 0 #FFD700,
        -8px 0px 0 0 #FFD700,
        -4px 0px 0 0 #dde000,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #36dce7,
        8px 0px 0 0 #FFD700,
        -8px 8px 0 0 #FFF8DC,
        -4px 8px 0 0 #FFD700,
        0px 8px 0 0 #FFFACD,
        4px 8px 0 0 #FFD700,
        8px 8px 0 0 #FFF8DC,
        -4px 16px 0 0 #d9d2b6,
        4px 16px 0 0 #e2dcc6,
        -12px 0px 0 0 #ffe347,
        12px 0px 0 0 #ffe347;
}

/* Character Selection Preview */
.char-card-preview[data-character="mage"][data-skin="celestial_mage"]::before {
    box-shadow:
        0px -12px 0 0 #ffe347,
        -4px -8px 0 0 #FFD700,
        0px -8px 0 0 #FFD700,
        4px -8px 0 0 #FFD700,
        -8px 0px 0 0 #FFD700,
        -4px 0px 0 0 #dde000,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #36dce7,
        8px 0px 0 0 #FFD700,
        -8px 8px 0 0 #FFF8DC,
        -4px 8px 0 0 #FFD700,
        0px 8px 0 0 #FFFACD,
        4px 8px 0 0 #FFD700,
        8px 8px 0 0 #FFF8DC,
        -4px 16px 0 0 #d9d2b6,
        4px 16px 0 0 #e2dcc6,
        -12px 0px 0 0 #ffe347,
        12px 0px 0 0 #ffe347;
}

/* Skin Selector Preview */
.skin-preview[data-character="mage"][data-skin="celestial_mage"]::before {
    box-shadow:
        0px -12px 0 0 #ffe347,
        -4px -8px 0 0 #FFD700,
        0px -8px 0 0 #FFD700,
        4px -8px 0 0 #FFD700,
        -8px 0px 0 0 #FFD700,
        -4px 0px 0 0 #dde000,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #36dce7,
        8px 0px 0 0 #FFD700,
        -8px 8px 0 0 #FFF8DC,
        -4px 8px 0 0 #FFD700,
        0px 8px 0 0 #FFFACD,
        4px 8px 0 0 #FFD700,
        8px 8px 0 0 #FFF8DC,
        -4px 16px 0 0 #d9d2b6,
        4px 16px 0 0 #e2dcc6,
        -12px 0px 0 0 #ffe347,
        12px 0px 0 0 #ffe347;
}
